/**
 * @ignore
 */
export interface JsonSchemaMapper {
    (schema: any, options: any, parent?: any): any;
}
/**
 * @ignore
 */
export declare function registerJsonSchemaMapper(type: string, mapper: JsonSchemaMapper): Map<string, JsonSchemaMapper>;
/**
 * @ignore
 */
export declare function getJsonSchemaMapper(type: string): JsonSchemaMapper;
/**
 * @ignore
 */
export declare function execMapper(type: string, schema: any, options: any, parent?: any): any;
export declare function hasMapper(type: string): boolean;
export declare function oneOfMapper(...types: string[]): string;
