"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.operationInParametersMapper = void 0;
const JsonSchemaMapperContainer_1 = require("../registries/JsonSchemaMapperContainer");
function operationInParametersMapper(parameters, options) {
    return parameters.flatMap((parameter) => (0, JsonSchemaMapperContainer_1.execMapper)("operationInParameter", parameter, options)).filter(Boolean);
}
exports.operationInParametersMapper = operationInParametersMapper;
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("operationInParameters", operationInParametersMapper);
//# sourceMappingURL=operationInParametersMapper.js.map